#
# Conditional build:
%bcond_with	glut	# use glut instead of SDL
%bcond_with	nvidia	# enable NVidia specific extensions
#
Summary:	A free OpenGL game of playing billard
Summary(pl.UTF-8):	Wolnodostępna gra w bilard oparta na OpenGL
Name:		foobillard
Version:	3.0a
Release:	5
License:	GPL
Group:		X11/Applications/Games
Source0:	http://foobillard.sunsite.dk/dnl/%{name}-%{version}.tar.gz
# Source0-md5:	c2d92edeaaf8bfb18aa26f1c79931b7d
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://foobillard.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
%{!?with_glut:BuildRequires:	SDL-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
%{?with_glut:BuildRequires:	glut-devel}
BuildRequires:	intltool
BuildRequires:	libpng-devel
BuildRequires:	libtool
%{?with_nvidia:BuildRequires:	xorg-driver-video-nvidia-devel}
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXi-devel
Requires:	OpenGL
%{?with_nvidia:Requires:	xorg-driver-video-nvidia}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux.
Why foo? Well, actually I had this logo (F.B.-Florian Berger) and then
foo sounds a bit like pool (Somehow I wasn't quite attracted by the
name FoolBillard). Actually FooBillard is still under development but
the main physics is implemented. If you are a billard-pro and you're
missing some physics, please tell me. Cause I've implemented it like I
think it should work, which might differ from reality.

%description -l pl.UTF-8
FooBillard to próba stworzenia wolnodostępnego bilarda OpenGL dla
Linuksa. Dlaczego foo? Bo autor miał już to logo (F.B. - Florian
Berger) i "foo" brzmi trochę jak "pool" (a nazwa "FoolBillard" nie
brzmiała zbyt przyciągająco). FooBillard jest nadal w stadium rozwoju,
ale główna fizyka jest już zaimplementowana. Jeżeli w grze brakuje
jakiejś fizyki, dobrze jest zgłosić to autorowi, ponieważ on
zaimplementował ją tak, jak myślał, że powinna działać, co może się
nieco różnić od rzeczywistości.

%prep
%setup -q

%build
rm -f missing
X_LIBS='-I/usr/X11R6/include'; export X_LIBS
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if %{with glut}
	--enable-glut \
	--disable-SDL \
%else
	--disable-glut \
	--enable-SDL \
%endif
	--%{?with_nvidia:en}%{!?with_nvidia:dis}able-nvidia \
	--enable-sound

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog TODO README.FONTS foobillardrc.example
%attr(755,root,root) %{_bindir}/*
%{_datadir}/foobillard
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/foobillard.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ecbc28f
- release 5 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fde2ab
- release 4

* Wed Jun 08 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9eaf35e
- change url (official isn't working)
- rel 2 (needs rebuild because of segfault)

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> 3aca049
- BR: OpenGL-GLU-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 802502f
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 9416d9e
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Jun 25 2007 Robert Tomasik <rotom@pld-linux.org> 8d1696f
- rel 1 in th

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b380dd6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 44be370
- converted to UTF-8

* Sat Aug 26 2006 havner <havner@pld-linux.org> 4e6080f
- changed R/BR for TH
- rel 2

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 9a2afd7
- adapterized (killed trailing spaces/tabs)

* Sun Jun 26 2005 zbyniu <zbyniu@pld-linux.org> 31b0884
- BR: libpng-devel

* Sun Oct 03 2004 Paweł Sikora <pluto@pld-linux.org> daff38d
- s/XFree86X11/, cosmetics.

* Tue Jul 06 2004 havner <havner@pld-linux.org> ff8b2a6
- categories fixed

* Wed May 12 2004 kolodko <kolodko@pld-linux.org> 4f717fe
- changed SportsGame -> ArcadeGame

* Mon Apr 26 2004 pawelb <pawelb@pld-linux.org> 2b57fe5
- up to 3.0a

* Fri Dec 12 2003 grzegol <grzegol@pld-linux.org> e49cfe4
- standarized

* Wed Dec 10 2003 grzegol <grzegol@pld-linux.org> 997a35c
- added Categories

* Wed Dec 10 2003 grzegol <grzegol@pld-linux.org> 11a0c2e
- _applnkdir -> _desktopdir; rel. 2

* Sun Nov 23 2003 saq <saq@pld-linux.org> bccdd85
- added Encoding=UTF-8 as requires by freedesktop

